Java.perform(function () {
    const Adapter = Java.use("com.amazon.vsearch.lens.core.internal.search.image.VisualSearchNetworkCallToFutureAdapter");
    Adapter.$init.implementation = function (networkManager, sessionHolder, additionalBodyParams, storage, z) {
        console.log("\n=== Adapter 构造函数传入的 additionalBodyParams ===");
        try {
            const gson = Java.use("com.google.gson.Gson").$new();
            console.log(gson.toJson(additionalBodyParams));
        } catch (e) {
            console.log(additionalBodyParams.toString());
        }
        return this.$init(networkManager, sessionHolder, additionalBodyParams, storage, z);
    };
});